-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improved Resources Data v1.0
-- Author: Arstahd
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 
 

--  DISTRICTS AND BUILDINGS  --

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Set minimum production for city center tile 
UPDATE GlobalParameters SET Value=2 WHERE name='YIELD_PRODUCTION_CITY_TERRAIN_REPLACE';
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--	Add City Center Adjacency Production bonus to Harbor
INSERT INTO District_Adjacencies (DistrictType, YieldChangeId) VALUES ('DISTRICT_HARBOR', 'Harbor_City_Production');
INSERT INTO Adjacency_YieldChanges (ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) VALUES ('Harbor_City_Production', 'LOC_HARBOR_CITY_CENTER_PRODUCTION', 'YIELD_PRODUCTION', 2, 1, 'DISTRICT_CITY_CENTER');

--	Add City Center Adjacency Production bonus to Royal Navy Dockyard
INSERT INTO District_Adjacencies (DistrictType, YieldChangeId) VALUES ('DISTRICT_ROYAL_NAVY_DOCKYARD', 'RoyalDock_City_Production');
INSERT INTO Adjacency_YieldChanges (ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) VALUES ('RoyalDock_City_Production', 'LOC_HARBOR_CITY_CENTER_PRODUCTION', 'YIELD_PRODUCTION', 2, 1, 'DISTRICT_CITY_CENTER');

--	Add City Center Adjacency Production bonus to Cothon
INSERT INTO District_Adjacencies (DistrictType, YieldChangeId) SELECT 'DISTRICT_COTHON', 'Cothon_City_Production' WHERE EXISTS (SELECT 1 FROM Districts WHERE DistrictType = 'DISTRICT_COTHON');
INSERT INTO Adjacency_YieldChanges (ID, Description, YieldType, YieldChange, TilesRequired, AdjacentDistrict) SELECT 'Cothon_City_Production', 'LOC_HARBOR_CITY_CENTER_PRODUCTION', 'YIELD_PRODUCTION', 2, 1, 'DISTRICT_CITY_CENTER' WHERE EXISTS (SELECT 1 FROM Districts WHERE DistrictType = 'DISTRICT_COTHON');
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Change Lighthouse Coastal tile bonus from Food to Gold
UPDATE ModifierArguments SET  Value='YIELD_GOLD' WHERE ModifierId='LIGHTHOUSE_COAST_FOOD' and Name='YieldType';
-- Add Production yield to Lighthouse
INSERT INTO Building_YieldChanges (BuildingType, YieldType, YieldChange) VALUES ('BUILDING_LIGHTHOUSE', 'YIELD_PRODUCTION', 1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--  IMPROVEMENTS  --

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--	Increase Gold yield of Camps (for Base Game and R&F)
UPDATE Improvement_YieldChanges SET YieldChange=2 WHERE ImprovementType='IMPROVEMENT_CAMP' and YieldType='YIELD_GOLD';
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Increase Production yield bonus of Quarry with Construction 
INSERT INTO Improvement_BonusYieldChanges (Id, ImprovementType, YieldType, BonusYieldChange, PrereqTech) VALUES (40, 'IMPROVEMENT_QUARRY', 'YIELD_PRODUCTION', 1, 'TECH_CONSTRUCTION');
--  Add description star to Construction
UPDATE Technologies SET Description='LOC_TECH_CONSTRUCTION_DESCRIPTION' WHERE TechnologyType='TECH_CONSTRUCTION';
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--  RESOURCE OTHER CHANGES  --

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Disallow Amber to appear on coast tiles.
UPDATE Resources SET SeaFrequency=0 WHERE ResourceType='RESOURCE_AMBER';
DELETE FROM Resource_ValidTerrains WHERE ResourceType='RESOURCE_AMBER' AND TerrainType='TERRAIN_COAST';
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--  RESOURCE BONUS YIELDS  --

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Increase Food yield bonus of Fish
UPDATE Resource_YieldChanges SET YieldChange=2 WHERE ResourceType='RESOURCE_FISH' and YieldType='YIELD_FOOD';

--  Add Food yield bonus to Crabs
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_CRABS', 'YIELD_FOOD', 1);

--  Add Food yield bonus to Pearls
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_PEARLS', 'YIELD_FOOD', 1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Increase Production yield bonus of Whales
UPDATE Resource_YieldChanges SET YieldChange=2 WHERE ResourceType='RESOURCE_WHALES' and YieldType='YIELD_PRODUCTION';
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Add Gold yield to Cattle
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_CATTLE', 'YIELD_GOLD', 1);


--  Add Gold yield to Incense
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_INCENSE', 'YIELD_GOLD', 1);


--  Add Gold yield to Sheep
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_SHEEP', 'YIELD_GOLD', 1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--  RESOURCE YIELD SWAPS  --

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Add Food yield to Deer
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_DEER', 'YIELD_FOOD', 1);
--  Reduce Production yield of Deer
UPDATE Resource_YieldChanges SET YieldChange=0 WHERE ResourceType='RESOURCE_DEER' and YieldType='YIELD_PRODUCTION';
--  Change harvest yield of Deer to Food
UPDATE Resource_Harvests SET YieldType='YIELD_FOOD' WHERE ResourceType='RESOURCE_DEER' and YieldType='YIELD_PRODUCTION';


--  Add Food yield to Truffles
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_TRUFFLES', 'YIELD_FOOD', 1);
--  Add Production yield penalty to Truffles
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_TRUFFLES', 'YIELD_PRODUCTION', -1);


--  Increase Food yield of Wheat
UPDATE Resource_YieldChanges SET YieldChange=2 WHERE ResourceType='RESOURCE_WHEAT' and YieldType='YIELD_FOOD';
--  Add Production yield penalty to Wheat
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_WHEAT', 'YIELD_PRODUCTION', -1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Add Production yield to Marble
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_MARBLE', 'YIELD_PRODUCTION', 1);
--  Add Food yield penalty to Marble
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_MARBLE', 'YIELD_FOOD', -1);


--  Increase Production yield of Stone
UPDATE Resource_YieldChanges SET YieldChange=2 WHERE ResourceType='RESOURCE_STONE' and YieldType='YIELD_PRODUCTION';
--  Add Food yield penalty to Stone
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_STONE', 'YIELD_FOOD', -1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--  Increase Gold yield of Copper
UPDATE Resource_YieldChanges SET YieldChange=4 WHERE ResourceType='RESOURCE_COPPER' and YieldType='YIELD_GOLD';
--  Add Food yield penalty to Copper
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_COPPER', 'YIELD_FOOD', -1);


--  Add Gold yield to Coffee
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_COFFEE', 'YIELD_GOLD', 2);
--  Add Food yield penalty to Coffee
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_COFFEE', 'YIELD_FOOD', -1);


--  Increase Gold yield of Diamonds
UPDATE Resource_YieldChanges SET YieldChange=5 WHERE ResourceType='RESOURCE_DIAMONDS' and YieldType='YIELD_GOLD';
--  Add Food yield penalty to Diamonds
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_DIAMONDS', 'YIELD_FOOD', -1);


--  Add Gold yield to Dyes
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_DYES', 'YIELD_GOLD', 2);
--  Add Food yield penalty to Dyes
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_DYES', 'YIELD_FOOD', -1);


--  Increase Gold yield of Furs
UPDATE Resource_YieldChanges SET YieldChange=3 WHERE ResourceType='RESOURCE_FURS' and YieldType='YIELD_GOLD';
--  Reduce Food yield of Furs
UPDATE Resource_YieldChanges SET YieldChange=0 WHERE ResourceType='RESOURCE_FURS' and YieldType='YIELD_FOOD';


--  Add Gold yield to Jade
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_JADE', 'YIELD_GOLD', 2);
--  Add Food yield penalty to Jade
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_JADE', 'YIELD_FOOD', -1);


--  Increase Gold yield of Silver
UPDATE Resource_YieldChanges SET YieldChange=5 WHERE ResourceType='RESOURCE_SILVER' and YieldType='YIELD_GOLD';
--  Add Food yield penalty to Silver
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_SILVER', 'YIELD_FOOD', -1);


--  Add Gold yield to Tea
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_TEA', 'YIELD_GOLD', 2);
--  Add Food yield penalty to Tea
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_TEA', 'YIELD_FOOD', -1);
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------









